media
List company media
Get all company media with pagination and filtering. Only returns ‘share’ type media by default.
GET
/
api
/
company
/
media
List company media
curl --request GET \
--url https://api.fluid.app/api/company/media \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/media"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_id": "<string>",
"media_type": "<string>",
"media_format": "<string>",
"image_url": "<string>",
"video_url": "<string>",
"pdf_url": "<string>",
"title": "<string>",
"description": {
"id": 123,
"name": "<string>",
"body": "<string>",
"record_type": "<string>",
"record_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"locale": "<string>"
},
"stripped": "<string>",
"kind": "<string>",
"active": true,
"visibility": "<string>",
"share_link": "<string>",
"views": 123,
"leads": 123,
"language_id": 123,
"watch": "<string>",
"video_status": "<string>",
"duration": 123,
"cta_url": "<string>",
"cta_button_text": "<string>",
"cta_enabled": true,
"cta_action_type": "<string>",
"video_shopping_enabled": true,
"prompts_enabled": true,
"label": {
"id": 123,
"title": "<string>",
"background": "<string>",
"icon": "<string>",
"color": "<string>"
},
"display_tag": "<string>",
"prompts": [
"<string>"
],
"attached_shareables": [
{
"id": 123,
"kind": "<string>",
"timestamp": "<string>",
"attachment": {
"id": 123,
"active": true,
"title": "<string>",
"description": {
"id": 123,
"name": "<string>",
"body": "<string>",
"record_type": "<string>",
"record_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"locale": "<string>"
},
"stripped": "<string>",
"price": "<string>",
"display_price": "<string>",
"subscription_price": "<string>",
"display_subscription_price": "<string>",
"wholesale_price": "<string>",
"display_wholesale_price": "<string>",
"wholesale_subscription_price": "<string>",
"display_wholesale_subscription_price": "<string>",
"shipping": "<string>",
"image": {
"mini": "<string>",
"detail": "<string>",
"full": "<string>"
},
"image_url": "<string>",
"sku": "<string>",
"country_code": "<string>",
"country_id": 123,
"views": 123,
"leads": 123,
"share_link": "<string>",
"commission": "<string>",
"public": true,
"shopify_id": "<string>",
"shopify_handle": "<string>",
"in_stock": true,
"vendor": "<string>",
"price_range": [
"<string>"
],
"price_range_formatted": "<string>",
"unlimited_inventory": true,
"default_variant": {
"id": 123,
"product_id": 123,
"shopify_id": "<string>",
"title": "<string>",
"sku": "<string>",
"position": 123,
"inventory_policy": "<string>",
"taxable": true,
"inventory_quantity": 123,
"created_at": "<string>",
"updated_at": "<string>",
"external_id": "<string>",
"variant_country_id": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"is_master": true,
"discarded_at": "<string>",
"price": "<string>",
"weight": "<string>",
"size": "<string>",
"physical": "<string>",
"unit_of_weight": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_size": "<string>",
"hs_code": "<string>",
"country_of_origin": "<string>",
"customs_information_shipping": "<string>",
"active": true,
"bar_code": "<string>",
"track_quantity": "<string>",
"keep_selling": "<string>",
"option_attrs": [
"<string>"
],
"allow_subscription": true,
"subscription_only": true,
"limit_subscription": true,
"subscription_max_qty": "<string>",
"shipping_included_in_price": true,
"subscription_interval": 123
},
"currency_symbol": "<string>",
"currency_code": "<string>",
"average_rating": 123,
"option_values": {},
"publish_to_portal_shop": true,
"publish_to_retail_store": true,
"publish_to_mobile_store": true,
"publish_to_share_tab": true,
"hide_rating?": true,
"hide_reviews?": true,
"prompts_enabled": true,
"label": "<string>",
"display_tag": "<string>",
"images": [
{
"id": 123,
"image": {
"mini": "<string>",
"detail": "<string>",
"full": "<string>"
},
"image_url": "<string>",
"position": "<string>",
"shopify_id": "<string>"
}
],
"countries": [
{
"id": 123,
"iso_name": "<string>",
"iso": "<string>",
"iso3": "<string>",
"name": "<string>",
"numcode": 123,
"active": true,
"currency_code": "<string>",
"currency_symbol": "<string>",
"separator": "<string>",
"delimiter": "<string>",
"address3": true,
"state": true,
"passport": true,
"itn": true,
"tax_rate": 123
}
],
"variants": [
{
"id": 123,
"title": "<string>",
"image_url": "<string>",
"buyable": true,
"option_value_ids": [
"<string>"
],
"allow_subscription": true,
"subscription_only": true,
"shipping_included_in_price": true,
"variant_countries": [
{
"id": 123,
"price": "<string>",
"shipping": "<string>",
"tax": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"display_price": "<string>",
"country_iso": "<string>",
"subscription_price": "<string>",
"display_wholesale_price": "<string>",
"display_wholesale_subscription_price": "<string>",
"wholesale_price": "<string>",
"wholesale_subscription_price": "<string>",
"country": {
"id": 123,
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"name": "<string>",
"tax_rate": 123
}
}
]
}
],
"options": [
"<string>"
],
"prompts": [
"<string>"
],
"enroll_products": [
"<string>"
],
"enrollment_packs": [
"<string>"
]
},
"content": "<string>",
"position": "<string>",
"style": "<string>",
"share_link": "<string>",
"attachment_type": "<string>"
}
],
"subtitles": {
"es": "<string>",
"en": "<string>"
},
"comments": [
{
"id": 123,
"body": "<string>",
"deleted_at": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"image_url": "<string>",
"relateable_id": 123,
"relateable_type": "<string>",
"likes": 123,
"liked": true,
"replies": [
"<string>"
],
"created_at": "<string>",
"contact_id": 123,
"user_id": "<string>",
"user": {}
}
]
}
]{
"message": "<string>"
}Authorizations
Bearer token authentication
Query Parameters
Page number for pagination
Number of records per page
Search by title
Sort order (title_desc, created_at_desc, etc)
Filter by status (active/inactive)
Available options:
active, inactive Language code for translations (e.g., 'en', 'es', 'de')
Response
index10 · object · null · null[] | null
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- AttachedShareable
- AttachedShareable1
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
List company media
